com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class MethodVisitor

- java.lang.Object
- - org.objectweb.asm.MethodVisitor
  - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.MethodVisitor

-     public class MethodVisitor
      extends org.objectweb.asm.MethodVisitor

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.MethodVisitor

      `api, mv`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MethodVisitor(TypeCache.CachedType containingType, MethodDescriptor methodDescriptor, VisitorHelper visitorHelper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotationDefault()`
    `void` | `visitFieldInsn(int opcode, String owner, String name, String desc)`
    `void` | `visitLdcInsn(Object cst)`
    `void` | `visitLineNumber(int line, org.objectweb.asm.Label start)`
    `void` | `visitLocalVariable(String name, String desc, String signature, org.objectweb.asm.Label start, org.objectweb.asm.Label end, int index)`
    `void` | `visitMethodInsn(int opcode, String owner, String name, String desc, boolean itf)`
    `void` | `visitMultiANewArrayInsn(String desc, int dims)`
    `org.objectweb.asm.AnnotationVisitor` | `visitParameterAnnotation(int parameter, String desc, boolean visible)`
    `void` | `visitTryCatchBlock(org.objectweb.asm.Label start, org.objectweb.asm.Label end, org.objectweb.asm.Label handler, String type)`
    `void` | `visitTypeInsn(int opcode, String type)`

    - ### Methods inherited from class org.objectweb.asm.MethodVisitor

      `visitAttribute, visitCode, visitEnd, visitFrame, visitIincInsn, visitInsn, visitInsnAnnotation, visitIntInsn, visitInvokeDynamicInsn, visitJumpInsn, visitLabel, visitLocalVariableAnnotation, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitParameter, visitTableSwitchInsn, visitTryCatchAnnotation, visitTypeAnnotation, visitVarInsn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodVisitor

          protected MethodVisitor(TypeCache.CachedType containingType,
                                  MethodDescriptor methodDescriptor,
                                  VisitorHelper visitorHelper)

  - ### Method Detail

    - #### visitParameterAnnotation

          public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int parameter,
                                                                              String desc,
                                                                              boolean visible)

      Overrides:
        `visitParameterAnnotation` in class `org.objectweb.asm.MethodVisitor`

    - #### visitTypeInsn

          public void visitTypeInsn(int opcode,
                                    String type)

      Overrides:
        `visitTypeInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitFieldInsn

          public void visitFieldInsn(int opcode,
                                     String owner,
                                     String name,
                                     String desc)

      Overrides:
        `visitFieldInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitMethodInsn

          public void visitMethodInsn(int opcode,
                                      String owner,
                                      String name,
                                      String desc,
                                      boolean itf)

      Overrides:
        `visitMethodInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLdcInsn

          public void visitLdcInsn(Object cst)

      Overrides:
        `visitLdcInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitMultiANewArrayInsn

          public void visitMultiANewArrayInsn(String desc,
                                              int dims)

      Overrides:
        `visitMultiANewArrayInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLocalVariable

          public void visitLocalVariable(String name,
                                         String desc,
                                         String signature,
                                         org.objectweb.asm.Label start,
                                         org.objectweb.asm.Label end,
                                         int index)

      Overrides:
        `visitLocalVariable` in class `org.objectweb.asm.MethodVisitor`

    - #### visitAnnotationDefault

          public org.objectweb.asm.AnnotationVisitor visitAnnotationDefault()

      Overrides:
        `visitAnnotationDefault` in class `org.objectweb.asm.MethodVisitor`

    - #### visitTryCatchBlock

          public void visitTryCatchBlock(org.objectweb.asm.Label start,
                                         org.objectweb.asm.Label end,
                                         org.objectweb.asm.Label handler,
                                         String type)

      Overrides:
        `visitTryCatchBlock` in class `org.objectweb.asm.MethodVisitor`

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String desc,
                                                   boolean visible)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLineNumber

          public void visitLineNumber(int line,
                                      org.objectweb.asm.Label start)

      Overrides:
        `visitLineNumber` in class `org.objectweb.asm.MethodVisitor`

Copyright © 2015 buschmais GbR. All rights reserved.